Health#
Warning
Deprecation Notice for Vulcan API v1 - We are deprecating Vulcan API v1 to concentrate on the improved functionality of newer versions. V1 will no longer receive new features or enhancements.
New Integrations: Please use Vulcan API v2.
Existing v1 Users: We encourage you to migrate to v2.
SynMax will provide migration guides and proactive support to assist with your transition.
Simple health check endpoint that returns the API status. This endpoint does not require authentication and can be used to verify that the API is running.
Useful for: * Load balancer health checks * Monitoring system verification * Service availability testing
Endpoint#
GET |
https://vulcan.api.synmax.com/beat-ms/api/v1/health |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/beat-ms/api/v1/health" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v1 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
health_resp = vulcan_api_client.health()
health_df = health_resp.df()
health_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
status |
string |
Status of the API |
ok |